Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencingService.SequencerCalls

    java.lang.Object
      org.modeshape.repository.sequencer.SequencingService.SequencerCalls

All Implemented Interfaces:
  Iterable<SequencingService.SequencerCall>

Enclosing class:
  SequencingService

    protected class SequencingService.SequencerCalls

extends Object
implements Iterable<SequencingService.SequencerCall>

Constructor Summary
`protected` | `SequencingService.SequencerCalls()`

Method Summary
`protected Iterable<SequencingService.SequencerCall>` | `getCalls()`
`protected Map<String,Set<RepositoryNodePath>>` | `getOutputPathsFor(SequencingService.SequencerCall call)`
`Iterator<SequencingService.SequencerCall>` | `iterator()`
`protected void` | `record(SequencingService.SequencerCall call, RepositoryNodePath outputPath)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequencingService.SequencerCalls

    protected SequencingService.SequencerCalls()

Method Detail

### record

    protected void record(SequencingService.SequencerCall call,
                          RepositoryNodePath outputPath)

### getCalls

    protected Iterable<SequencingService.SequencerCall> getCalls()

### iterator

    public Iterator<SequencingService.SequencerCall> iterator()

  Specified by:
    `iterator` in interface `Iterable<SequencingService.SequencerCall>`
  See Also:
    `Iterable.iterator()`

### getOutputPathsFor

    protected Map<String,Set<RepositoryNodePath>> getOutputPathsFor(SequencingService.SequencerCall call)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.